//
// FileName: OpaqueMenu.cc
//
// Programmer: David Sowsy
//
// Purpose: To implement a BMenu derived class that doesn't have
//			problems with highlighting. 
// 
// Notes: I don't use the commented out constructor, but others might...
//
// Legal: OpaqueMenu Implementation © 1999 David Sowsy. 
// 
//        You can use this code free of charge, in any way, shape, 
//		  or form (commericially or non-commercially), provided you include 
//		  the following string in your program 'About' Requester and
//		  in your documentation: 		  
//			
//		  "OpaqueMenu Implementation ©1999 David Sowsy." 
// 
//        This code carries no warranties or guarantees of any kind. Use at your own risk.

#include "OpaqueMenu.h"

OpaqueMenu :: OpaqueMenu(const char *title, menu_layout layout = B_ITEMS_IN_COLUMN): BMenu(title, layout)
{
}

OpaqueMenu :: OpaqueMenu(const char *title, float width, float height) : BMenu(title,width,height )
{
}


void OpaqueMenu :: Draw(BRect frame)
{ 
 SetDrawingMode(B_OP_BLEND);
 SetViewColor(B_TRANSPARENT_COLOR); 
 BMenu::Draw(frame);
}

