//
// FileName: OpaqueMenu.h
//
// Programmer: David Sowsy
//
// Purpose: To implement a BMenu derived class that doesn't have
//			problems with highlighting. 
// 
// Notes: Alternate constructor commented out. 
//
// Legal: OpaqueMenu Implementation © 1999 David Sowsy. 
// 
//        You can use this code free of charge, in any way, shape, 
//		  or form (commericially or non-commercially), provided you include 
//		  the following string in your program 'About' Requester and
//		  in your documentation: 		  
//			
//		  "OpaqueMenu Implementation ©1999 David Sowsy." 
// 
//        This code carries no warranties or guarantees of any kind. Use at your own risk. 
//
#ifndef OPAQUE_MENU_HH
#define OPAQUE_MENU_HH 1

#include <Menu.h> 
#include <Rect.h> 

class OpaqueMenu : public BMenu
{
 public: 
		 OpaqueMenu(const char *title, menu_layout layout);
 		 OpaqueMenu(const char *title, float width, float height); 
		 virtual void Draw(BRect frame); 		 
};

#endif