//
// FileName: OpaquePopMenu.cc
//
// Programmer: David Sowsy
//
// Purpose: To implement a BPopUpMenu derived class that doesn't have
//			problems with highlighting. 
// 
// Notes: 
//
// Legal: OpaqueMenu Implementation © 1999 David Sowsy. 
// 
//        You can use this code free of charge, in any way, shape, 
//		  or form (commericially or non-commercially), provided you include 
//		  the following string in your program 'About' Requester and
//		  in your documentation: 		  
//			
//		  "OpaqueMenu Implementation ©1999 David Sowsy." 
// 
//        This code carries no warranties or guarantees of any kind. Use at your own risk.

#include "OpaquePopUpMenu.h"
#include <GraphicsDefs.h> 

OpaquePopUpMenu :: OpaquePopUpMenu(const char *title,bool radioMode,
									 bool autoRename ,
									 menu_layout layout) : 
									 BPopUpMenu(title,radioMode, autoRename, layout )
			   						 {
			   						  SetDrawingMode(B_OP_BLEND); 
			   						  SetViewColor(B_TRANSPARENT_COLOR); 
									 }
								 